Package Details: morse-simulator-git 1.4.r38.gb3d6273-1

Git Clone URL: https://aur.archlinux.org/morse-simulator-git.git (read-only, click to copy)
Package Base: morse-simulator-git
Description: MORSE: the Modular Open Robots Simulator Engine
Upstream URL: http://morse-simulator.github.io/
Keywords: robotics
Licenses: BSD
Provides: morse-simulator
Submitter: unusual_thoughts
Maintainer: unusual_thoughts
Last Packager: unusual_thoughts
Votes: 1
Popularity: 0.005536
First Submitted: 2016-11-22 15:31
Last Updated: 2016-11-22 15:31

Required by (3)

Sources (1)

Latest Comments

rmsc commented on 2020-07-28 14:35

Morse requires the blender game engine, and doesn't work with >blender-2.79. The blender dependency needs to be changed to "blender-2.7".

Morse also needs to be patched to work with the non-standard blender-2.7 name:

diff -uNr morse/bin/morse.in morse.new/bin/morse.in
--- morse/bin/morse.in
+++ morse/bin/morse.in
@@ -55,7 +55,7 @@
 #MORSE prefix (automatically detected)
 morse_prefix = ""
 #Path to Blender executable (automatically detected)
-blender_exec = ""
+blender_exec = "/usr/bin/blender-2.7"
 #Path to MORSE default scene (automatically detected)
 default_scene_abspath = ""

diff -uNr morse/src/morse/core/blenderapi.py morse.new/src/morse/core/blenderapi.py
--- morse/src/morse/core/blenderapi.py
+++ morse/src/morse/core/blenderapi.py
@@ -10,7 +10,7 @@

 # running in Blender?
 # Note: Run blender-app.exe when blender v2.75 in Window 7
-if os.path.basename(sys.executable) in ['blender', 'blender.exe', 'blender-app.exe']:
+if os.path.basename(sys.executable) in ['blender', 'blender.exe', 'blender-app.exe', 'blender-2.7']:
     import bpy
     try:
         import bge
diff -uNr morse/src/morse/core/mathutils.py morse.new/src/morse/core/mathutils.py
--- morse/src/morse/core/mathutils.py
+++ morse/src/morse/core/mathutils.py
@@ -8,7 +8,7 @@

 # running in Blender?
 # Note: Run blender-app.exe when blender v2.75 in Window 7
-if os.path.basename(sys.executable) not in ['blender', 'blender.exe', 'blender-app.exe']:
+if os.path.basename(sys.executable) not in ['blender', 'blender.exe', 'blender-app.exe', 'blender-2.7']:
     print("WARNING: MORSE is running outside Blender! "
           "(sys.executable != blender)")